# Best bid offer (BBO)

Refer to [Websocket](/docs/api-documentation/api/websocket.md) for establishing the websocket connection.

### Params

```json
{
  "method": "subscribe",
  "params": {
    "source": "bbo",
    "symbol": "BTC"
  }
}
```

### Stream

```json
{
  "channel": "bbo",
  "data": {
    "s": "BTC",
    "i": 1234567890,
    "li": 1325476098,
    "t": 1764133203991,
    "b": "87185",
    "B": "1.234",
    "a": "87186",
    "A": "0.567"
  }
}
```

| Field  | Type           | Description                       |
| ------ | -------------- | --------------------------------- |
| `'s'`  | string         | Symbol                            |
| `'i'`  | integer        | Order id                          |
| `'li'` | integer        | Last order id                     |
| `'t'`  | integer        | Timestamp in milliseconds         |
| `'b'`  | decimal string | Best bid price                    |
| `'B'`  | decimal string | Best bid amount (in token amount) |
| `'a'`  | decimal string | Best ask price                    |
| `'A'`  | decimal string | Best ask amount (in token amount) |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://pacifica.gitbook.io/docs/api-documentation/api/websocket/subscriptions/best-bid-offer-bbo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
